Gecode::Gist::Print< S > Class Template Reference

An inspector for printing simple text output. More...

`#include <gist.hh>`

## Public Member Functions

| Print (const std::string &name)
| Constructor.
virtual void | inspect (const Space &node)
| Use the print method of the template class S to print a space.
virtual std::string | name (void)
| Return name.
virtual void | finalize (void)
| Clean up when Gist exits.
Public Member Functions inherited from Gecode::Gist::TextOutput
| TextOutput (const std::string &name)
| Constructor.
void | finalize (void)
| Clean up when Gist exits.
virtual | ~TextOutput (void)
| Destructor.
Public Member Functions inherited from Gecode::Gist::Inspector
virtual | ~Inspector (void)
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::Gist::TextOutput
void | init (void)
| Initialize the implementation object.
std::ostream & | getStream (void)
| Get the stream that is used to output text.
void | flush (void)
| Flush stream.
void | addHtml (const char *s)
| Add html text s to the output.

## Detailed Description

template<class S>
class Gecode::Gist::Print< S >

An inspector for printing simple text output.

Definition at line 188 of file gist.hh.

## Constructor & Destructor Documentation

## Print()

template<class S>

Gecode::Gist::Print< S >::Print | ( | const std::string & | name | ) |

Constructor.

Definition at line 136 of file gist.hpp.

## Member Function Documentation

## inspect()

template<class S>

void Gecode::Gist::Print< S >::inspect | ( | const Space & | node | ) |

virtual

Use the print method of the template class S to print a space.

Implements Gecode::Gist::Inspector.

Definition at line 141 of file gist.hpp.

## name()

template<class S>

std::string Gecode::Gist::Print< S >::name | ( | void |  | ) |

virtual

Return name.

Reimplemented from Gecode::Gist::TextOutput.

Definition at line 151 of file gist.hpp.

## finalize()

template<class S>

void Gecode::Gist::Print< S >::finalize | ( | void |  | ) |

virtual

Clean up when Gist exits.

Reimplemented from Gecode::Gist::Inspector.

Definition at line 157 of file gist.hpp.

The documentation for this class was generated from the following files:

- gecode/gist.hh
- gecode/gist/gist.hpp